# IceMX::MetricsAdmin

## Overview

### interface MetricsAdmin

The metrics administrative facet interface. This interface allows remote administrative clients to access metrics of an application that enabled the Ice administrative facility and configured some metrics views.

## Operation Index

getMetricsViewNames
  Get the names of enabled and disabled metrics.
enableMetricsView
  Enables a metrics view.
disableMetricsView
  Disable a metrics view.
getMetricsView
  Get the metrics objects for the given metrics view.
getMapMetricsFailures
  Get the metrics failures associated with the given view and map.
getMetricsFailures
  Get the metrics failure associated for the given metrics.

## Operations

### ::Ice::StringSeq getMetricsViewNames(out ::Ice::StringSeq disabledViews)

Get the names of enabled and disabled metrics.

#### Parameters

disabledViews
  The names of the disabled views.

#### Return Value

The name of the enabled views.

### void enableMetricsView(string name) throws UnknownMetricsView

Enables a metrics view.

#### Parameters

name
  The metrics view name.

#### Exceptions

UnknownMetricsView
  Raised if the metrics view cannot be found.

### void disableMetricsView(string name) throws UnknownMetricsView

Disable a metrics view.

#### Parameters

name
  The metrics view name.

#### Exceptions

UnknownMetricsView
  Raised if the metrics view cannot be found.

### MetricsView getMetricsView(string view, out long timestamp) throws UnknownMetricsView

Get the metrics objects for the given metrics view. This returns a dictionnary of metric maps for each metrics class configured with the view. The timestamp allows the client to compute averages which are not dependent of the invocation latency for this operation.

#### Parameters

view
  The name of the metrics view.
timestamp
  The local time of the process when the metrics object were retrieved.

#### Return Value

The metrics view data.

#### Exceptions

UnknownMetricsView
  Raised if the metrics view cannot be found.

### MetricsFailuresSeq getMapMetricsFailures(string view, string map) throws UnknownMetricsView

Get the metrics failures associated with the given view and map.

#### Parameters

view
  The name of the metrics view.
map
  The name of the metrics map.

#### Return Value

The metrics failures associated with the map.

#### Exceptions

UnknownMetricsView
  Raised if the metrics view cannot be found.

### MetricsFailures getMetricsFailures(string view, string map, string id) throws UnknownMetricsView

Get the metrics failure associated for the given metrics.

#### Parameters

view
  The name of the metrics view.
map
  The name of the metrics map.
id
  The ID of the metrics.

#### Return Value

The metrics failures associated with the metrics.

#### Exceptions

UnknownMetricsView
  Raised if the metrics view cannot be found.